Bug 1120677 - convert yaboot.conf to grub.conf
Summary: convert yaboot.conf to grub.conf
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: redhat-upgrade-dracut
Version: 7.0
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: David Shea
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 12:19 UTC by Dan Horák
Modified: 2019-03-06 01:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-21 19:35:51 UTC


Attachments (Terms of Use)

Description Dan Horák 2014-07-17 12:19:51 UTC
RHEL-7 switched to using grub2 as the bootloader, while RHEL-6 used yaboot, so the upgrade-tool must convert the existing yaboot.conf to config file understood by grub2. And also switch the bootloader package in the system being upgraded.

Comment 2 David Cantrell 2014-07-21 19:10:33 UTC
redhat-upgrade-tool does not change your boot loader.  You can do that on your own after a successful system upgrade, but to minimize risk of an unbootable system, redhat-upgrade-tool leaves the boot loader as-is.

Comment 3 RHEL Product and Program Management 2014-07-21 19:35:51 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.